Upcoming Changes to the Old App Builder Only

Posted: September 25th, 2015Author:

If you signed up for Appery.io before September 2014, you might have used our old App Builder. If your app uses the old App Builder, then you will see a message like this:

Screen Shot 2015-09-25 at 10.49.31 AM

Upgrade message if your app uses the old App Builder

We said that you could continue using the old App Builder but that we highly recommend upgrading to the new App Builder as we will stop supporting this App Builder at some point. This is the app upgrade message:

Screen Shot 2015-09-25 at 10.42.17 AM

Information about upgrading an app

It’s been over a year and we hope everyone has migrated to the new App Builder. If you haven’t upgraded your app, you will need to do it by November 1, 2015. On this date we will stop supporting the old App Builder.

Here are the benefits upgrading to the new App Builder:

  • Take advantage of new Model and Storage functionality
  • Simpler and more powerful mapping between services and pages
  • Upgraded REST API editor
  • Support for latest jQuery Mobile and Apache Cordova libraries
  • Get new updates and all the bug fixes
  • Faster performance

How to upgrade

When you open your app for editing, click Upgrade to upgrade your app. You’ll see a notification window, and then click Upgrade to continue upgrading your app.

Make sure you test your app carefully after the upgrade, especially if you wrote any custom code and/or had custom code in mapping.

To learn more, please visit the App Builder Upgrade page in the Dev Center.

If you don’t need the app you can simply delete it.

Note that after November 1, 2015, you won’t be able to open your app in the old App Builder any longer and will be required to upgrade.

This applies only to developers who created apps before September 2014. If you already upgraded your app or have signed up after September 2015, you don’t need to do anything. This also only applies to jQuery Mobile apps.